> For the complete documentation index, see [llms.txt](https://docs.sportsapi360.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportsapi360.com/cricket-docs/cricket-api/build-the-request.md).

# Build the request

Now that all prerequisites have been fulfilled, we’re ready to send our first request to the API!

## Cricket API

The request consists of the following components:

* The base URL
* A path parameter, in this example, we use \[series]
* A query string parameter, which is optional, so we leave this out for now
* And finally, your API key

{% tabs %}
{% tab title="Base URL" %}
{% code overflow="wrap" %}

```mathml
https://apiv5.sportsapi360.com/
```

{% endcode %}
{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Base Endpoints" %}
{% code overflow="wrap" %}

```mathml
https://apiv5.sportsapi360.com/cricket/v1/
```

{% endcode %}
{% endtab %}
{% endtabs %}

An example of a correctly authenticated request would be:

{% tabs %}
{% tab title="Request" %}
{% code overflow="wrap" %}

```mathml
curl --location --globoff 'https://apiv5.sportsapi360.com/cricket/v1/matches?status=completed&format=t20&date_from=2026-07-24&date_to=2026-07-25&series_id={{SERIES_ID}}&limit=1&page=1&api_key={{YOUR_API_TOKEN}}'
```

{% endcode %}
{% endtab %}

{% tab title="Response" %}

```
{
    "success": true,
    "data": [
        {
            "id": "e252e9f1-e5a6-54d9-bdbd-af2422651180",
            "series_id": "c41e7bca-2109-591e-b4e6-5c7c92208c44",
            "title": "Sikkim vs Arunachal Pradesh",
            "series": {
                "series_id": "c41e7bca-2109-591e-b4e6-5c7c92208c44",
                "slug": "smat_plate_2026_2026_11_14",
                "name": "Syed Mushtaq Ali Trophy Plate, 2026",
                "short_name": "SMAT Plate",
                "season": "2026",
                "format": "t20",
                "status": "live",
                "category": "domestic",
                "type": "tournament",
                "total_teams": 6,
                "total_matches": 16,
                "total_rounds": 1,
                "start_date": "2026-11-14T00:00:00Z",
                "end_date": "2026-11-24T00:00:00Z"
            },
            "short_title": "SIKM vs ARP",
            "match_number": "4th Match",
            "format": "t20",
            "status": "completed",
            "status_message": "Sikkim won by 9 wickets",
            "live_status": "none",
            "result": "SIKM won by 9 wickets",
            "win_margin": "9 wickets",
            "winner_team_id": "4bd43caf-9527-5565-b973-41afe8f86907",
            "team_a": {
                "team_id": "4bd43caf-9527-5565-b973-41afe8f86907",
                "team_name": "Sikkim",
                "team_image": "https://cdnimages.sportsapi360.com/cricket/teams/logos/sikkim_sikm.webp",
                "short_name": "SIKM",
                "scores_full": "70/1 (8.2 ov)",
                "scores_text": "70/1",
                "innings": [
                    2
                ],
                "is_batting": true,
                "scores": [
                    {
                        "scores": "70",
                        "overs": "8.2",
                        "wickets": "1"
                    }
                ]
            },
            "team_b": {
                "team_id": "012de5e0-8021-546a-af4a-053e0172f03e",
                "team_name": "Arunachal Pradesh",
                "team_image": "https://cdnimages.sportsapi360.com/cricket/teams/logos/arunachal_pradesh_arp.webp",
                "short_name": "ARP",
                "scores_full": "69/10 (15.2 ov)",
                "scores_text": "69/10",
                "innings": [
                    1
                ],
                "is_batting": false,
                "scores": [
                    {
                        "scores": "69",
                        "overs": "15.2",
                        "wickets": "10"
                    }
                ]
            },
            "toss": {
                "winner_team_id": "4bd43caf-9527-5565-b973-41afe8f86907",
                "decision": "fielding",
                "text": "Sikkim elected to bowl",
                "short": "SIKM elected to bowl"
            },
            "start_date": "2026-11-16T02:30:00Z",
            "end_date": "2026-11-16T12:30:00Z",
            "start_timestamp": 1794796200,
            "end_timestamp": 1794832200,
            "venue": {
                "venue_id": "cec39c34-30dd-546e-83e7-3cbe5f890dcc",
                "name": "Nagaland Cricket Stadium",
                "location": "Dimapur",
                "lat": "",
                "long": ""
            },
            "current_innings": 2,
            "has_commentary": true,
            "is_domestic": true,
            "updated_at": "2026-11-16T05:08:17.909Z"
        }
    ],
    "meta": {
        "page": {
            "page": 1,
            "limit": 1,
            "total": 9601,
            "total_pages": 9601,
            "has_more": true
        },
        "request_id": "7c0c5cd6-def6-4d2d-bf3d-9b9990eca2f5",
        "api_version": "1.0",
        "provider": "sportsapi360"
    }
}
```

{% endtab %}
{% endtabs %}

This request will return all of the leagues.

{% hint style="info" %}
Please note that our entire Cricket API collection with all endpoints is available in Postman. [![Run in Postman](https://docs.sportmonks.com/~gitbook/image?url=https%3A%2F%2Frun.pstmn.io%2Fbutton.svg\&width=300\&dpr=4\&quality=100\&sign=5f4dbf4c\&sv=2)](https://cricket-postman.sportsapi360.com/)
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sportsapi360.com/cricket-docs/cricket-api/build-the-request.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
